Promote
curl --request POST \
--url https://api.korve.dev/v1/orgs/{orgId}/projects/{projectId}/databases/{databaseId}/restores/{restoreId}/promote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"confirmed": true,
"confirmationToken": "<string>",
"bindingName": "<string>"
}
'import requests
url = "https://api.korve.dev/v1/orgs/{orgId}/projects/{projectId}/databases/{databaseId}/restores/{restoreId}/promote"
payload = {
"confirmed": True,
"confirmationToken": "<string>",
"bindingName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({confirmed: true, confirmationToken: '<string>', bindingName: '<string>'})
};
fetch('https://api.korve.dev/v1/orgs/{orgId}/projects/{projectId}/databases/{databaseId}/restores/{restoreId}/promote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"sourceDatabaseId": "<string>",
"targetDatabaseId": "<string>",
"source": {
"backupId": "<string>",
"pointInTime": "2023-11-07T05:31:56Z"
},
"progressPercent": 123,
"error": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}databaseRestores
Promote
Explicitly promote a verified restored database by swapping the selected application binding. The source remains available until separately deleted.
POST
/
v1
/
orgs
/
{orgId}
/
projects
/
{projectId}
/
databases
/
{databaseId}
/
restores
/
{restoreId}
/
promote
Promote
Authorizations
apiKeysession
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The organization's id (UUID) or slug — either form is accepted.
The project's id (UUID) or slug — either form is accepted.
Body
application/json
Response
Binding promoted.
Available options:
queued, restoring, verifying, ready, failed, promoted Show child attributes
Show child attributes
⌘I